Altibase.jdbc.driver.cm

## Class CmGetBindParamInfoResult

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmResult
  - - Altibase.jdbc.driver.cm.CmStatementIdResult
    - - Altibase.jdbc.driver.cm.CmGetBindParamInfoResult

    public class CmGetBindParamInfoResult
    extends CmStatementIdResult

### Field Summary

Fields
`static byte` `MY_OP`

### Constructor Summary

Constructors
Constructor and Description
`CmGetBindParamInfoResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addColumnInfo(int aParamIdx, ColumnInfo aColumnInfo)`
`void` `clear()`
`ColumnInfo` `getColumnInfo(int aParamIdx)`
`int` `getColumnInfoListSize()`

### Methods inherited from class Altibase.jdbc.driver.cm.CmStatementIdResult

`getStatementId, setStatementId`

### Methods inherited from class Altibase.jdbc.driver.cm.CmResult

`getError`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MY_OP

    public static final byte MY_OP

See Also:
  Constant Field Values

### Constructor Detail

#### CmGetBindParamInfoResult

    public CmGetBindParamInfoResult()

### Method Detail

#### getColumnInfo

    public ColumnInfo getColumnInfo(int aParamIdx)

#### addColumnInfo

    public void addColumnInfo(int aParamIdx,
                              ColumnInfo aColumnInfo)

#### getColumnInfoListSize

    public int getColumnInfoListSize()

#### clear

    public void clear()